GLUQUADRICNORMALS(3G)

NAME
gluQuadricNormals - specify what kind of normals are desired for quadrics

C SPECIFICATION

void gluQuadricNormals(GLUquadric* quad, GLenum normal);

PARAMETERS

quad
    Specifies the quadrics object (created with gluNewQuadric()).

normal
    Specifies the desired type of normals. Valid values are GLU_NONE, GLU_FLAT, and GLU_SMOOTH.

DESCRIPTION

gluQuadricNormals specifies what kind of normals are desired for quadrics rendered with quad. The legal values are as follows:

GLU_NONE
    No normals are generated.

GLU_FLAT
    One normal is generated for every facet of a quadric.

GLU_SMOOTH
    One normal is generated for every vertex of a quadric. This is the initial value.

SEE ALSO

gluNewQuadric(), gluQuadricDrawStyle(), gluQuadricOrientation(), gluQuadricTexture()

COPYRIGHT

Copyright © 1991-2006 Silicon Graphics, Inc. This document is licensed under the SGI Free Software B License. For details, see http://oss.sgi.com/projects/FreeB/.